## texstudio 4.8.6+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(TeXstudio VERSION 4.8.6 LANGUAGES C CXX)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
set(CMAKE_DEBUG_POSTFIX "d")
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
if(APPLE)
set(CMAKE_CXX_STANDARD 20)
else()
set(CMAKE_CXX_STANDARD 17)
endif()


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(GitInfo)
if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
	git_wc_info(${PROJECT_SOURCE_DIR} VARPREFIX)
	add_definitions(-DTEXSTUDIO_VERSION="${VARPREFIX_WC_LATEST_TAG_LONG}")
	message(STATUS "The current git hash is ${VARPREFIX_WC_REVISION_HASH}")
	message(STATUS "The current git describe is ${VARPREFIX_WC_LATEST_TAG_LONG}")
else()
	add_definitions(-DTEXSTUDIO_VERSION="${CMAKE_PROJECT_VERSION}")
	message(STATUS "No git present.")
    unset(GIT_FOUND)
	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
endif()
include(cmake/project_version.cmake)

if(MSVC)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
	add_compile_options(/wd4267 /wd4244)
	add_compile_options($<$<CXX_COMPILER_ID:MSVC>:/MP>)
else()
	add_compile_options(-Wno-deprecated-declarations)
endif()

if(WIN32 AND NOT MSVC)
        add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-fpermissive>)
        add_compile_options(-Wa,-mbig-obj)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Xml Concurrent Widgets UiTools REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS PrintSupport Svg Qml REQUIRED)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS LinguistTools QUIET)
endif()

message(STATUS "building for Qt ${QT_VERSION_MAJOR}")

# Source
add_subdirectory(src)

# qtsingleapplication
add_subdirectory(src/qtsingleapplication)

# main
set(RESOURCE_FILES 
	texstudio.qrc
	symbols.qrc
	completion.qrc
	images.qrc
)
if(APPLE)
    file(GLOB manual
        utilities/manual/build/html/*.html
    )
    set(manual ${manual} utilities/manual/build/html/searchindex.js)
    file(GLOB images
        utilities/manual/build/html/_images/*.webp
    )
    file(GLOB static
        utilities/manual/build/html/_static/*
    )
    file(GLOB static_scripts
        utilities/manual/build/html/_static/scripts/*
    )
    file(GLOB static_styles
        utilities/manual/build/html/_static/styles/*
    )
    file(GLOB design_static
        utilities/manual/build/html/_sphinx_design_static/*
    )
    file(GLOB_RECURSE templates
       templates/*
    )
    file(GLOB_RECURSE translation
       translation/*.qm
    )
    file(GLOB_RECURSE dictionaries
       utilities/dictionaries/*
    )

    set(OSX_FILES
        texstudio.icns
        utilities/latex2e.html
        utilities/latex2e.css
		utilities/list.png
		utilities/manual/source/CHANGELOG.md
        ${templates}
        ${dictionaries}
        ${translation}
    )
else()
    set(OSX_FILES "")
endif()

set(TRANSLATION_FILES
	translation/texstudio_en.ts
)
if(${QT_VERSION_MAJOR} GREATER_EQUAL 6 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
	if(${QT_VERSION_MINOR} LESS_EQUAL 6)
		message(STATUS "Generate translation source option.")
		qt6_add_lupdate(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
	if(${QT_VERSION_MINOR} GREATER_EQUAL 7)
                message(STATUS "Generate translation source option. (>= Qt6.7)")
                qt6_add_translations(texstudio TS_FILES ${TRANSLATION_FILES})
	endif()
endif()

if(WIN32)
	set(SOURCE_FILES ${SOURCE_FILES} win.rc)
endif()
if(UNIX AND NOT APPLE AND NOT HAIKU)
	add_subdirectory(src/xkb)
endif()

# Hunspell
find_package(Hunspell QUIET)
if(Hunspell_FOUND)
	message(STATUS "Using system Hunspell")
	set(HUNSPELL_SOURCE_LINK 0)
	get_filename_component(HUNSPELL_LIB_NAME ${HUNSPELL_LIBRARIES} NAME)
	string(FIND ${HUNSPELL_LIB_NAME} "static" HUNSPELL_IS_STATIC_POS)
	if(${HUNSPELL_IS_STATIC_POS} GREATER 0)
		set(HUNSPELL_SOURCE_LINK 1)
	endif()
	if(${HUNSPELL_SOURCE_LINK} GREATER 0)
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" ON)
	else()
		option(HUNSPELL_IS_STATIC "Hunspell is a static library" OFF)
	endif()
else()
	message(STATUS "Using internal Hunspell")
	add_subdirectory(src/hunspell)
	set(HUNSPELL_SOURCE_LINK 2)
	set(HUNSPELL_IS_STATIC ON)
endif()
if(${HUNSPELL_IS_STATIC})
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DHUNSPELL_STATIC)
endif()

# qcodeedit
add_subdirectory(src/qcodeedit)

# debughelper
add_subdirectory(src/debug)

# latexparser
add_subdirectory(src/latexparser)

# symbolpanel
add_subdirectory(src/symbolpanel)

#qtermwidget
if(${QT_VERSION_MAJOR} LESS_EQUAL 5)
    find_package(QTermWidget QUIET)
    if(QTermWidget_FOUND)
        message(STATUS "Using QTermWidget5")
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DINTERNAL_TERMINAL)
    endif()
endif()

# QuaZIP
find_package(QuaZip-Qt${QT_VERSION_MAJOR} QUIET)
if(QuaZip-Qt${QT_VERSION_MAJOR}_FOUND)
	message(STATUS "quazip 1.x found")
else()
	find_package(QuaZip QUIET)
	if(QUAZIP_FOUND)
		message(STATUS "Using system QuaZIP")
		set(QUAZIP_SOURCE_LINK 0)
		get_filename_component(QUAZIP_LIB_NAME ${QUAZIP_LIBRARIES} NAME)
		string(FIND ${QUAZIP_LIB_NAME} "static" QUAZIP_IS_STATIC_POS)
		if(${QUAZIP_IS_STATIC_POS} GREATER 0)
			set(QUAZIP_SOURCE_LINK 1)
		endif()
		if(${QUAZIP_SOURCE_LINK} GREATER 0)
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" ON)
		else()
			option(QUAZIP_IS_STATIC "QuaZIP is a static library" OFF)
		endif()
	else()
                message(STATUS "Using internal QuaZIP and internal zlib")
                if(WIN32)
                    set(ZLIB_BUILD_EXAMPLES OFF)
                    set(SKIP_INSTALL_LIBRARIES ON)
                    add_subdirectory(src/zlib-1.3.1)
                    set(ZLIB_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1)
                    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlibd.dll)
                    else()
                        set(ZLIB_LIBRARY ${CMAKE_CURRENT_BINARY_DIR}/src/zlib-1.3.1/libzlib.dll)
                    endif()
                endif()
		set(BUILD_SHARED_LIBS OFF)
  		set(QUAZIP_INSTALL OFF)
                set(QUAZIP_USE_QT_ZLIB OFF)
                set(QUAZIP_ENABLE_TESTS OFF)
		set(QUAZIP_BZIP2 OFF)
		set(QUAZIP_IS_STATIC ON)
		set(QUAZIP_SOURCE_LINK 2)
		add_subdirectory(src/quazip)
	endif()
	if(${QUAZIP_IS_STATIC})
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DQUAZIP_STATIC)
	endif()
endif()

# Options
if(NOT MSVC)
	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
	if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
		message(STATUS "Internal crash handler disabled as you wish.")
		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
	endif()
else()
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
endif()

option(TEXSTUDIO_BUILD_ADWAITA "Enable/Disable internal adwaita-qt style" ON)
if(TEXSTUDIO_BUILD_ADWAITA)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DADWAITA)
    message(STATUS "integrate adwaita style")
endif()
add_subdirectory(src/adwaita-qt)

option(TEXSTUDIO_ENABLE_TESTS "Enable/Disable internal tests" OFF)
if(${TEXSTUDIO_ENABLE_TESTS})
	message(STATUS "tests enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Test REQUIRED)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DTESTDATADIR="${CMAKE_CURRENT_SOURCE_DIR}/src/tests/testdata")
	set(HEADER_FILES ${HEADER_FILES}
		src/tests/buildmanager_t.h
		src/tests/codesnippet_t.h
		src/tests/encoding_t.h
		src/tests/execprogram_t.h
		src/tests/git_t.h
		src/tests/help_t.h
		src/tests/latexcompleter_t.h
		src/tests/latexdocument_t.h
		src/tests/latexeditorview_bm.h
		src/tests/latexeditorview_t.h
		src/tests/latexoutputfilter_t.h
		src/tests/latexparser_t.h
		src/tests/latexparsing_t.h
		src/tests/latexstyleparser_t.h
		src/tests/qcetestutil.h
		src/tests/qdocumentcursor_t.h
		src/tests/qdocumentline_t.h
		src/tests/qdocumentsearch_t.h
		src/tests/qeditor_t.h
		src/tests/qsearchreplacepanel_t.h
		src/tests/scriptengine_t.h
		src/tests/smallUsefulFunctions_t.h
		src/tests/structureview_t.h
		src/tests/syntaxcheck_t.h
		src/tests/tablemanipulation_t.h
		src/tests/testmanager.h
		src/tests/testutil.h
                src/tests/texstudio_t.h
		src/tests/updatechecker_t.h
		src/tests/usermacro_t.h
		src/tests/utilsui_t.h
		src/tests/utilsversion_t.h
	)
	set(SOURCE_FILES ${SOURCE_FILES}
		src/tests/codesnippet_t.cpp
		src/tests/encoding_t.cpp
		src/tests/execprogram_t.cpp
		src/tests/git_t.cpp
		src/tests/latexcompleter_t.cpp
		src/tests/latexdocument_t.cpp
		src/tests/latexeditorview_bm.cpp
		src/tests/latexeditorview_t.cpp
		src/tests/latexoutputfilter_t.cpp
		src/tests/latexparser_t.cpp
		src/tests/latexparsing_t.cpp
		src/tests/latexstyleparser_t.cpp
		src/tests/qcetestutil.cpp
		src/tests/qdocumentcursor_t.cpp
		src/tests/qdocumentline_t.cpp
		src/tests/qdocumentsearch_t.cpp
		src/tests/qeditor_t.cpp
		src/tests/qsearchreplacepanel_t.cpp
		src/tests/scriptengine_t.cpp
		src/tests/smallUsefulFunctions_t.cpp
		src/tests/structureview_t.cpp
		src/tests/syntaxcheck_t.cpp
		src/tests/tablemanipulation_t.cpp
		src/tests/testmanager.cpp
		src/tests/testutil.cpp
                src/tests/texstudio_t.cpp
		src/tests/usermacro_t.cpp
	)
else()
	message(STATUS "tests disabled.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_TESTS)
endif()

option(TEXSTUDIO_ENABLE_MEDIAPLAYER "Enable/Disable the video player in pdf files" OFF)
if(${TEXSTUDIO_ENABLE_MEDIAPLAYER})
	message(STATUS "the video player in pdf files is enabled.")
	find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia MultimediaWidgets REQUIRED)
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DMEDIAPLAYER)
else()
	message(STATUS "the video player in pdf files is disabled.")
endif()

option(TEXSTUDIO_ENABLE_DEBUG_LOGGER "Enable/Disable debug logger" OFF)
if(${TEXSTUDIO_ENABLE_DEBUG_LOGGER})
	message(STATUS "Debug logger is built.")
	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DDEBUG_LOGGER)
endif()

# poppler

find_package(PkgConfig)
pkg_check_modules(POPPLER QUIET IMPORTED_TARGET poppler poppler-cpp poppler-qt${QT_VERSION_MAJOR})
if(POPPLER_FOUND)
    message(STATUS "Build internal pdf previewer.")
else()
    message(STATUS "Poppler not found, internal pdf previewer disabled.")
    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_POPPLER_PREVIEW)
    if(WIN32)
        set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_WIN32)
    endif()
endif()
add_subdirectory(src/pdfviewer)

# Build texstudio application
add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
)
target_link_libraries(texstudio PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::PrintSupport
    Qt${QT_VERSION_MAJOR}::Svg
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Xml
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::UiTools
)
if(NOT MSVC AND CMAKE_VERSION VERSION_GREATER_EQUAL "3.16.0")
    target_precompile_headers(texstudio PUBLIC src/mostQtHeaders.h)
endif()

if(TEXSTUDIO_BUILD_ADWAITA)
    target_link_libraries(texstudio PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
endif()

set_source_files_properties(${OSX_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
set_source_files_properties(${manual} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html")
set_source_files_properties(${images} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_images")

=== src/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	CACHE INTERNAL "Additional include directories" FORCE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.h
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.h
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanagerinterface.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.h
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.h
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.h
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.h
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.h
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.h
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.h
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.h
    ${CMAKE_CURRENT_SOURCE_DIR}/git.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/help.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.h
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.h
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.h
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.h
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.h
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.h
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.h
    ${CMAKE_CURRENT_SOURCE_DIR}/modifiedQObject.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mostQtHeaders.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.h
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/session.h
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.h
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.h
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.h
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.h
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.h
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.h
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.h
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.h
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.h
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.h
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.h
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog_config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.h
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.h
	CACHE INTERNAL "Header files" FORCE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/additionaltranslations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aichatassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/aiquerystoragemodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bidiextender.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/buildmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/codesnippet.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/configmanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorhistory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/cursorposition.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/dblclickmenubar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diff/diff_match_patch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/diffoperations.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/directoryreader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/editors.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encoding.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/execprogram.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fileselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/findindirs.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/flowlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/git.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/grammarcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/help.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kpathseaParser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexcompleter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexdocument.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexeditorview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexlogwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexoutputfilter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexpackage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexrepository.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstructure.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/latexstyleparser.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/libqmarkedscrollbar/src/markedscrollbar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/logeditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/loghighlighter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/manhattanstyle.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mathassistant.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/minisplitter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/qmetautils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/scriptengine.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchquery.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultmodel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/searchresultwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/session.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/sessionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/smallUsefulFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerutility.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/styleanimator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stylehelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/svn.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/syntaxcheck.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tablemanipulation.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templatemanager_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/texstudio.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/thesaurusdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/titledpanel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/toolwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/txstabwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unicodeinsertion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/universalinputdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/unixutils.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/updatechecker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermacro.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsSystem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsUI.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/utilsVersion.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/xmltagslistwidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/filedialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/macrobrowserui.cpp
	${CMAKE_BINARY_DIR}/git_revision.cpp
	CACHE INTERNAL "Source files" FORCE
)

set(FORM_FILES ${FORM_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/aboutdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/arraydialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/bibtexdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/cleandialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/configdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/encodingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/filechooser.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/insertgraphics.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/letterdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/maketemplatedialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/pdfsplittool.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickbeamerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/quickdocumentdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/randomtextgenerator.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/spellerdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabbingdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/tabdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/templateselector.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/texdocdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/textanalysis.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/usermenudialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/userquickdialog.ui
    ${CMAKE_CURRENT_SOURCE_DIR}/webpublishdialog.ui
	CACHE INTERNAL "Source files" FORCE
)

=== debian/changelog ===
texstudio (4.8.6+ds-1ubuntu1) plucky; urgency=medium

  * Build depend on libqtermwidget6-2-dev for QTermWidget.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 13:45:21 -0500

texstudio (4.8.6+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.6+ds.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Mon, 10 Feb 2025 07:21:30 +0100

=== debian/control ===
Source: texstudio
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tom Jampen <tom@cryptography.ch>
Build-Depends:
 cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
 libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt6-dev,
 libquazip1-qt6-dev, libqtermwidget6-2-dev, libxkbcommon-dev, pkgconf,
 python3-myst-parser, python3-sphinx, python3-sphinx-design,
 python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
 qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
 qt6-tools-dev, zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://texstudio.org/

Package: texstudio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqt6svg6
Recommends:
 adwaita-qt, texlive-base, texlive-latex-base, texlive-latex-recommended,
 texstudio-doc, texstudio-l10n
Suggests:
 hunspell-dictionary, mythes-thesaurus, texlive-fonts-recommended,
 texlive-latex-extra
Description: fully featured LaTeX editor
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking

Package: texstudio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, furo, python3-sphinx-inline-tabs
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Built-Using: ${sphinxdoc:Built-Using}, ${built:Using}
Description: fully featured LaTeX editor (doc)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the html documentation and the LaTeX templates.

Package: texstudio-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}, texstudio (>= ${source:Version})
Replaces: texstudio (<< 2.7.0+debian-2)
Breaks: texstudio (<< 2.7.0+debian-2)
Description: fully featured LaTeX editor (localization)
 TeXstudio is an integrated writing environment for creating LaTeX documents.
 The software aims to simplify and enhance the LaTeX writing process, providing
 users with a range of features, including:
 .
  - Advanced syntax highlighting
  - Live reference checking
  - An integrated PDF viewer
  - Live inline preview
  - LaTeX command completion and syntax checking
  - Local and global structure view
  - Citations checking and completion
  - Live grammar checking
  - Spellchecking
 .
 This package contains the following translations: ar, br, ca, cs, de, de_CH,
 el, es, fa, fr, gsw, hu, id_ID, ie, it, ja, ko, ko_KR, nb_NO, nl, pl, pt,
 pt_BR, ru, ru_RU, si, sk, sv, sq, tr_TR, ug, uk, vi, zh_CN.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5
export DEB_VERSION

%:
	dh ${@} --with sphinxdoc

override_dh_sphinxdoc:
	dh_sphinxdoc -X.md.txt -X.rst.txt

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translation/*.ts
	dh_auto_build
	cd utilities/manual && SPHINXBUILD=/usr/bin/sphinx-build make html

override_dh_auto_configure:
	dh_auto_configure -- -DTEXSTUDIO_ENABLE_CRASH_HANDLER=OFF \
	-DTEXSTUDIO_ENABLE_MEDIAPLAYER=ON

override_dh_auto_install:
	dh_auto_install

	# moving and renaming icons
	for SIZE in 16x16 22x22 32x32 48x48 64x64 128x128 ; do \
		mkdir -p debian/tmp/usr/share/icons/hicolor/$$SIZE/apps ; \
		mv -f utilities/texstudio$$SIZE.png \
		debian/tmp/usr/share/icons/hicolor/$$SIZE/apps/texstudio.png ; \
	done

	# renaming metainfo file
	mv -f debian/tmp/usr/share/metainfo/texstudio.metainfo.xml \
	debian/tmp/usr/share/metainfo/org.texstudio.TeXstudio.metainfo.xml

	# removing useless files
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.md
	rm -f debian/tmp/usr/share/texstudio/COPYING
	rm -f debian/tmp/usr/share/texstudio/AUTHORS

	# removing static files included in Debian package furo
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/styles/*.css

	# removing static files included in Debian package python3-sphinx-inline-tabs
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*

	# removing static files not used in the documentation
	rm -rf debian/tmp/usr/share/texstudio/_sphinx_design_static
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png

override_dh_gencontrol:
	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \
	-f '$${source:Package} (= $${source:Version}), ' \
	-W python3-sphinx-design python3-pygments)"

override_dh_installchangelogs:
	dh_installchangelogs utilities/manual/source/CHANGELOG.md

## texstudio 4.8.7

=== debian/changelog ===
texstudio (4.8.7-2+3.18) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:18 +0000

texstudio (4.8.7-51) unstable; urgency=low

  * update to git rev.  4.8.7rc1-4-g389de5386

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 24 Apr 2025 22:36:21 +0200

texstudio (4.8.7-50) unstable; urgency=low

  * update to git rev.  4.8.7rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 18 Apr 2025 21:52:11 +0200

texstudio (4.8.7-49) unstable; urgency=low

  * update to git rev.  4.8.6-48-g27e7eb1e4

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 04 Apr 2025 17:58:37 +0200

texstudio (4.8.7-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.7-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.7-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.7-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.7-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.7-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.7-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.7-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.7-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.7-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.7+ds

=== src/debug/CMakeLists.txt ===
set(INC_DIRECTORIES
    ${INC_DIRECTORIES}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)

set(HEADER_FILES ${HEADER_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/debughelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/debuglogger.h
	PARENT_SCOPE
)

set(SOURCE_FILES ${SOURCE_FILES}
    ${CMAKE_CURRENT_SOURCE_DIR}/debughelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/debuglogger.cpp
	PARENT_SCOPE
)

=== debian/changelog ===
texstudio (4.8.7+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.7+ds.
  * Regenerating adwaita-qt.patch.
  * Regenerating qtermwidget6.patch.
  * Removing no longer needed usr-prefix.patch.
  * Renumbering patches.
  * Updating to standards version 4.7.2, no changes needed.
  * Updating fsf address and url in copyright file.
  * Updating location of html documentation in texstudio-doc.install file
    after upstream change.
  * Updating location of files to be removed in rules file after upstream
    changes.
  * Simplifying texstudio-doc.install file.
  * Removing unused empty directory _sources from debian/tmp in rules
    file.
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Sat, 03 May 2025 22:39:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -36,10 +36,9 @@
 	debian/tmp/usr/share/metainfo/org.texstudio.TeXstudio.metainfo.xml
 
 	# removing useless files
-	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.txt
-	rm -f debian/tmp/usr/share/texstudio/CHANGELOG.md
-	rm -f debian/tmp/usr/share/texstudio/COPYING
-	rm -f debian/tmp/usr/share/texstudio/AUTHORS
+	rm -f debian/tmp/usr/share/doc/texstudio/CHANGELOG.md
+	rm -f debian/tmp/usr/share/doc/texstudio/COPYING
+	rm -f debian/tmp/usr/share/doc/texstudio/AUTHORS
 
 	# removing static files included in Debian package furo
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/scripts/*.js
@@ -49,13 +48,16 @@
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/tabs.*
 
 	# removing static files not used in the documentation
-	rm -rf debian/tmp/usr/share/texstudio/_sphinx_design_static
+	rm -rf debian/tmp/usr/share/doc/texstudio/_sphinx_design_static
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/basic.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/debug.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/skeleton.css
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/file.png
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/minus.png
 	rm -f debian/tmp/usr/share/doc/texstudio/html/_static/plus.png
+
+	# removing useless empty directory
+	rm -rf debian/tmp/usr/share/doc/texstudio/_sources
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vbuilt:Using="$(shell dpkg-query \

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
filenamemangle=s/.+\/v?(\d\S+)\.((?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))))/texstudio-$1\.$2/,\
uversionmangle=s/(\d)[_\.\-\+\~]?((rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
dversionmangle=s/\+ds(\.?\d+)?$// \
https://github.com/texstudio-org/texstudio/tags .*/v?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## texstudio 4.8.8

=== debian/changelog ===
texstudio (4.8.8-2+3.9) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 11 Oct 2025 05:02:22 +0000

texstudio (4.8.8-51) unstable; urgency=low

  * update to git rev.  4.8.8rc3-1-g365339964

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 11 Jul 2025 19:01:43 +0200

texstudio (4.8.8-50) unstable; urgency=low

  * update to git rev.  4.8.8rc2-1-g840e8ff0d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 04 Jul 2025 19:56:27 +0200

texstudio (4.8.8-49) unstable; urgency=low

  * update to git rev.  4.8.8beta4-9-g8df95f22a

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 03 Jun 2025 18:46:16 +0200

texstudio (4.8.8-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.8-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.8-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.8-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.8-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.8-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.8-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.8-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.8-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.8-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200

## texstudio 4.8.8+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,29 @@
-cmake_minimum_required(VERSION 3.1.0)
-
-project(TeXstudio VERSION 4.8.6 LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.10.0)
+
+project(TeXstudio VERSION 4.8.8 LANGUAGES C CXX)
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 set(CMAKE_DEBUG_POSTFIX "d")
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-if(APPLE)
-set(CMAKE_CXX_STANDARD 20)
-else()
-set(CMAKE_CXX_STANDARD 17)
-endif()
+
+option(TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER "Enable/Disable internal crash handler" OFF)
+if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
+	message(STATUS "Use c++23 crash handler.")
+	set(CMAKE_CXX_STANDARD 23)
+	set(CMAKE_CXX_STANDARD_REQUIRED ON)
+	set(CMAKE_CXX_EXTENSIONS OFF)
+	set(CMAKE_CXX_FLAGS "-g1 -O2 -Wall -Wextra")
+else()
+    if(APPLE)
+    set(CMAKE_CXX_STANDARD 20)
+    else()
+    set(CMAKE_CXX_STANDARD 17)
+    endif()
+endif()
+
+
 
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -29,6 +41,7 @@
 	set(VARPREFIX_WC_LATEST_TAG_LONG "${CMAKE_PROJECT_VERSION}+0+0")
 endif()
 include(cmake/project_version.cmake)
+include(GNUInstallDirs)
 
 if(MSVC)
 	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -D_CRT_SECURE_NO_WARNINGS -D_UNICODE -DUNICODE)
@@ -40,7 +53,7 @@
 
 if(WIN32 AND NOT MSVC)
         add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-fpermissive>)
-        add_compile_options(-Wa,-mbig-obj)
+        #add_compile_options(-Wa,-mbig-obj)
 endif()
 
 find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets LinguistTools REQUIRED)
@@ -225,9 +238,14 @@
 # Options
 if(NOT MSVC)
 	option(TEXSTUDIO_ENABLE_CRASH_HANDLER "Enable/Disable internal crash handler" ON)
-	if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
+	if(${TEXSTUDIO_ENABLE_CPP23_CRASH_HANDLER})
+	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCPP_CRASH_HANDLER)
+	    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
+	else()
+	    if(NOT ${TEXSTUDIO_ENABLE_CRASH_HANDLER})
 		message(STATUS "Internal crash handler disabled as you wish.")
 		set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
+	    endif()
 	endif()
 else()
 	set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DNO_CRASH_HANDLER)
@@ -344,29 +362,15 @@
 endif()
 add_subdirectory(src/pdfviewer)
 
+# set prefix path on unix
+if(UNIX)
+    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DPREFIX="${CMAKE_INSTALL_PREFIX}")
+    set(ADDITIONAL_DEFINITIONS ${ADDITIONAL_DEFINITIONS} -DCMAKE_INSTALL_DATADIR="${CMAKE_INSTALL_DATADIR}")
+endif()
+
 # Build texstudio application
 add_executable(texstudio ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES} ${FORM_FILES} ${OSX_FILES} ${manual} ${images} ${static} ${static_scripts} ${static_styles} ${design_static}
 )
 target_link_libraries(texstudio PRIVATE
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::Gui
-    Qt${QT_VERSION_MAJOR}::Widgets
-    Qt${QT_VERSION_MAJOR}::PrintSupport
-    Qt${QT_VERSION_MAJOR}::Svg
-    Qt${QT_VERSION_MAJOR}::Network
-    Qt${QT_VERSION_MAJOR}::Xml
-    Qt${QT_VERSION_MAJOR}::Qml
-    Qt${QT_VERSION_MAJOR}::Concurrent
-    Qt${QT_VERSION_MAJOR}::UiTools
-)
-if(NOT MSVC AND CMAKE_VERSION VERSION_GREATER_EQUAL "3.16.0")
-    target_precompile_headers(texstudio PUBLIC src/mostQtHeaders.h)
-endif()
-
-if(TEXSTUDIO_BUILD_ADWAITA)
-    target_link_libraries(texstudio PRIVATE Qt${QT_VERSION_MAJOR}::DBus)
-endif()
-
-set_source_files_properties(${OSX_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources")
-set_source_files_properties(${manual} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html")
-set_source_files_properties(${images} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/html/_images")

=== debian/changelog ===
texstudio (4.8.8+ds-1) unstable; urgency=medium

  * Merging upstream version 4.8.8+ds.
  * Regenerating qtermwidget6.patch.
  * Removing no longer used QT_SELECT line from rules file (Closes: #1119879).
  * Rebuilding upstream tarball without:
    - conflicting debian directory
    - conflicting .gitattributes file
    - conflicting .gitignore file
    - unused .github directory
    - unused src/adwaita-qt directory
    - unused src/hunspell directory
    - unused src/quazip directory
    - unused src/zlib* directory
    - unused utilities/FileAssociation.nsh file
    - unused utilities/fonts directory
    - unused utilities/installscript.qs file
    - unused utilities/manual/build directory
    - unused utilities/manual/make.bat file
    - unused utilities/poppler-data directory
    - unused utilities/qxs/doc directory
    - unused utilities/texstudio*.nsi files
    - unused utilities/TexTablet directory
    - unused dictionary and thesaurus files
    - unused qt translations
    - unused precompiled TeXstudio translations
    - obsolete usermanual files

 -- Tom Jampen <tom@cryptography.ch>  Tue, 04 Nov 2025 08:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: texstudio
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tom Jampen <tom@cryptography.ch>
+Maintainer: Tom Jampen <tom@cryptography.ch>
 Build-Depends:
  cmake, debhelper-compat (= 13), furo (>= 2023.07.26),
  libhunspell-dev (>= 1.5.1), libpoppler-cpp-dev, libpoppler-qt6-dev,
- libquazip1-qt6-dev, libqtermwidget6-2-dev, libxkbcommon-dev, pkgconf,
+ libquazip1-qt6-dev, libqtermwidget-dev, libxkbcommon-dev, pkgconf,
  python3-myst-parser, python3-sphinx, python3-sphinx-design,
  python3-sphinx-inline-tabs, python3-sphinxext-opengraph, qt6-base-dev,
  qt6-declarative-dev, qt6-l10n-tools, qt6-multimedia-dev, qt6-svg-dev,
  qt6-tools-dev, zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://texstudio.org/

## texstudio 4.8.9

=== debian/changelog ===
texstudio (4.8.9-2+2.5) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 23 Oct 2025 17:23:40 +0000

texstudio (4.8.9-50) unstable; urgency=low

  * update to git rev.  4.8.9

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 12 Sep 2025 17:07:36 +0200

texstudio (4.8.9-49) unstable; urgency=low

  * update to git rev.  4.8.9rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 07 Sep 2025 21:01:23 +0200

texstudio (4.8.9-19) unstable; urgency=low

  * update to git rev.  4.3.1-154-gb3894ed1d

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 14 Oct 2022 21:04:55 +0200

texstudio (4.8.9-18) unstable; urgency=low

  * update to git rev.  4.3.1-141-g54ee787b3

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 07 Oct 2022 21:17:12 +0200

texstudio (4.8.9-17) unstable; urgency=low

  * update to git rev.  4.3.1-23-ge92adb89e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Tue, 06 Sep 2022 20:51:30 +0200

texstudio (4.8.9-16) unstable; urgency=low

  * update to git rev.  4.2.3rc1-3-g2587d772f

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 17 Apr 2022 09:25:29 +0200

texstudio (4.8.9-15) unstable; urgency=low

  * update to git rev.  4.2.3rc1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Fri, 15 Apr 2022 11:22:59 +0200

texstudio (4.8.9-14) unstable; urgency=low

  * update to git rev.  4.2.2-96-g07b27ce4e

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 10 Apr 2022 10:22:50 +0200

texstudio (4.8.9-13) unstable; urgency=low

  * update to git rev.  4.2.2-81-g9ae61d7f1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sun, 03 Apr 2022 11:36:05 +0200

texstudio (4.8.9-12) unstable; urgency=low

  * update to git rev.  4.2.2-16-g780852337

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Thu, 03 Mar 2022 18:13:15 +0100

texstudio (4.8.9-11) unstable; urgency=low

  * update to git rev.  4.0.2-26-g9fe49c92

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 15:31:54 +0200

texstudio (4.8.9-10) unstable; urgency=low

  * update to git rev.  4.0.2-24-gd2436af1

 -- Jan Sundermeyer <jsundermeyer@sf.net>  Sat, 30 Oct 2021 09:12:16 +0200
